using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using DLLCheck;

namespace Швейная_фабрика
{
    public partial class FormProfil : Form
    {
        public FormProfil()
        {
            InitializeComponent();
        }

        private void FormProfilZak_Load(object sender, EventArgs e)
        {
            // TODO: данная строка кода позволяет загрузить данные в таблицу "сlothesFactoryLGDataSet.Users". При необходимости она может быть перемещена или удалена.
            this.usersTableAdapter.Fill(this.сlothesFactoryLGDataSet.Users);
            passTextBox.UseSystemPasswordChar = true;
        }

        private void BtnLev_Click(object sender, EventArgs e)
        {
            if (oldPassTextBox.Text != Lblpass.Text)
            {
                MessageBox.Show("Вы ввели неверный текущий пароль!", "Внимание",
                    MessageBoxButtons.OK, MessageBoxIcon.Exclamation);
                return;
            }
            if (passTextBox.Text != "")  // изменяется пароль
            {
                CheckPass ps = new CheckPass();
                if (!ps.ClassCheckPass(passTextBox.Text))
                {
                    MessageBox.Show("Новый пароль не соответствует требованиям!",
                        "Внимание", MessageBoxButtons.OK, MessageBoxIcon.Exclamation);
                    return;
                }
                // поместить в БД новый пароль
                Lblpass.Text = passTextBox.Text;
            }
            else
                return;
            
            BsUsers.EndEdit();
            this.usersTableAdapter.Update(this.сlothesFactoryLGDataSet.Users);
            Close();
        }

        private void CbxShowPass_CheckedChanged(object sender, EventArgs e)
        {
            passTextBox.UseSystemPasswordChar = !passTextBox.UseSystemPasswordChar;
        }
    }
}
